> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Shipping Method

GET https://api.bigcommerce.com/stores/{store_hash}/v2/shipping/zones/{zone_id}/methods/{method_id}

Returns a single *Shipping Method* in a zone. Real Time Carrier Connections are also supported by this endpoint.

### Settings Objects

A shipping methodʼs `type` and `settings` properties can match one of the following models:

### perorder Object – Properties

Object model for flat-rate shipping quotes per order.

| Name | Type   | Description          |
| ---- | ------ | -------------------- |
| rate | number | Flat rate per order. |

#### JSON Example

```json
{
    "name": "Flat Rate per Order",
    "type": "perorder",
    "settings": {
        "rate": 7
    },
    "channel_ids": [1]
},
```

### peritem Object – Properties

Object model for flat-rate shipping quotes per item ordered.

| Name | Type   | Description         |
| ---- | ------ | ------------------- |
| rate | number | Flat rate per item. |

#### JSON Example

```json
{
    "name": "Flat Rate per Item",
    "type": "peritem",
    "settings": {
        "rate": 8
    },
    "channel_ids": [1]
},
```

### weight Object – Properties

Object model for shipping quotes by weight.

| Name                | Type           | Description                                                                                                                                                                               |
| ------------------- | -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| default\_cost       | number \| null | Default shipping cost, applied either as a percentage of the orderʼs total value or as a fixed amount. If default cost is not required, you can supply a value of null.                   |
| default\_cost\_type | string         | How the default shipping cost is calculated; either `percentage_of_total` or `fixed_amount`.                                                                                              |
| range               | number         | Array of [range](#range-object--properties) objects. The units for these ranges' `lower_limit` and `upper_limit` properties depend on the default units set in the storeʼs control panel. |

#### JSON Example

```json
{
    "name": "Rate per Weight",
    "type": "weight",
    "settings": {
        "default_cost": 12,
        "default_cost_type": "fixed_amount",
        "range": [
            {
                "lower_limit": 0,
                "upper_limit": 20,
                "shipping_cost": 8
            },
            {
                "lower_limit": 20,
                "upper_limit": 40,
                "shipping_cost": 12
            }
        ]
    },
    "channel_ids": [1]
}
```

### total Object – Properties

Object model for shipping quotes by orderʼs total value.

| Name                | Type           | Description                                                                                                                                                             |
| ------------------- | -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| default\_cost       | number \| null | Default shipping cost, applied either as a percentage of the orderʼs total value or as a fixed amount. If default cost is not required, you can supply a value of null. |
| default\_cost\_type | string         | How the default shipping cost is calculated; either `percentage_of_total` or `fixed_amount`.                                                                            |
| range               | number         | Array of [range](#range-object--properties) objects. The units for these ranges' `lower_limit` and `upper_limit` properties are values in the storeʼs currency.         |

#### JSON Example

This example sets free shipping above a certain order total:

```json
{
    "name": "Per Total or Free",
    "type": "total",
    "settings": {
        "default_cost": 12,
        "default_cost_type": "fixed_amount",
        "range": [
            {
                "lower_limit": 0,
                "upper_limit": 5,
                "shipping_cost": 5
            },
            {
                "lower_limit": 5,
                "upper_limit": 10,
                "shipping_cost": 8
            },
            {
                "lower_limit": 10,
                "upper_limit": 20,
                "shipping_cost": 10
            },
            {
                "lower_limit": 20,
                "upper_limit": 49.99,
                "shipping_cost": 15
            },
            {
                "lower_limit": 50,
                "upper_limit": 100000,
                "shipping_cost": 0
            }
        ]
    },
    "channel_ids": [1]
}
```

### Range Object – Properties

Object model to define ranges for shipping quotes. Units are defined in the parent object.

| Property       | Type   | Description                                                                    |
| -------------- | ------ | ------------------------------------------------------------------------------ |
| lower\_limit   | number | Lower limit for order total.                                                   |
| upper\_limit   | number | Upper limit for order total.                                                   |
| shipping\_cost | number | Shipping cost for orders whose total falls between the lower and upper limits. |

#### JSON Example

```json
{
    "lower_limit": 0,
    "upper_limit": 20,
    "shipping_cost": 8
}
```

### Channels

Example request body:

```json
{
  "name": "Method associated to channels 1, 3",
  "type": "peritem",
  "settings": {
    "rate": 5
  },
  "channel_ids": [1, 3]
}
```

| Property     | Type  | Description                                                  |
| ------------ | ----- | ------------------------------------------------------------ |
| channel\_ids | array | Channels associated with the method as an array of integers. |

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/shipping/v2/shipping-method/get-shipping-method

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | | - | - | - | | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `zone_id` (integer, required) — ID of the shipping zone.
- `method_id` (integer, required) — ID of the shipping method within the shipping zone.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `id` (integer, optional) — Shipping method ID. Read-only.
- `name` (string, optional) — Display name for shipping method.
- `type` (enum, optional)
  - Allowed values: `perorder`, `peritem`, `weight`, `total`, `auspost`, `canadapost`, `endicia`, `usps`, `fedex`, `royalmail`, `upsready`, `freeshipping`
- `settings` (ShippingZonesZoneIdMethodsMethodIdGetResponsesContentApplicationJsonSchemaSettings, optional) — Depends on the shipping method type. See the [supported settings object](#settings-objects).
- `enabled` (boolean, optional) — Whether or not this shipping zone method is enabled.
- `handling_fees` (ShippingZonesZoneIdMethodsMethodIdGetResponsesContentApplicationJsonSchemaHandlingFees, optional)
- `is_fallback` (boolean, optional) — Whether or not this shipping zone is the fallback if all others are not valid for the order.
- `channel_ids` (list of integer, optional) — List of channels associated to a method. When creating a new method, all available channels are associated by default. (Optional)

## Types

### ShippingZonesZoneIdMethodsMethodIdGetResponsesContentApplicationJsonSchemaSettings

Depends on the shipping method type. See the [supported settings object](#settings-objects).

### ShippingZonesZoneIdMethodsMethodIdGetResponsesContentApplicationJsonSchemaHandlingFees

### Fixed surcharge

- `fixed_surcharge` (double, optional) — Flat-rate handling fee applied to shipping cost.

### Percentage surcharge

- `percentage_surcharge` (double, optional) — Percentage handling fee applied to shipping cost.

## Examples

### Example 1

**Response**

```json
{
  "id": 1,
  "name": "Flat Rate",
  "type": "perorder",
  "settings": {
    "rate": 12
  },
  "enabled": true,
  "handling_fees": {
    "fixed_surcharge": 0
  },
  "is_fallback": false,
  "channel_ids": [
    1
  ]
}
```

**SDK Code**

```python Example 1
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2

**Response**

```json
{
  "id": 71711609,
  "name": "nisi",
  "type": "weight",
  "settings": {},
  "enabled": false,
  "handling_fees": {
    "percentage_surcharge": 0
  },
  "is_fallback": false,
  "channel_ids": [
    2,
    4
  ]
}
```

**SDK Code**

```python Example 2
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example 2
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 2
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 2
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example 2
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Example 2
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example 2
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example 2
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```